Skip to main content
POST
/
media-bridge
/
v1
/
{appId}
/
properties
/
{objectType}
/
batch
/
read
Get the details for multiple properties
curl --request POST \
  --url 'https://api.hubapi.com/media-bridge/v1/{appId}/properties/{objectType}/batch/read?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "dataSensitivity": "highly_sensitive",
  "inputs": [
    {
      "name": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "allowedObjectTypes": [
        {
          "innerId": 123,
          "metaTypeId": 123
        }
      ],
      "calculated": true,
      "canArchive": true,
      "canRestore": true,
      "createdAt": 123,
      "createdUserId": 123,
      "currencyPropertyName": "<string>",
      "dataSensitivity": "high",
      "dateDisplayHint": "absolute",
      "deleted": true,
      "description": "<string>",
      "displayMode": "all_unique_versions",
      "displayOrder": 123,
      "enforceMultivalueUniqueness": true,
      "externalOptions": true,
      "externalOptionsReferenceType": "<string>",
      "favorited": true,
      "favoritedOrder": 123,
      "fieldType": "<string>",
      "formField": true,
      "fromUserId": 123,
      "groupName": "<string>",
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "isCustomizedDefault": true,
      "isMultiValued": true,
      "isPartial": true,
      "label": "<string>",
      "mutableDefinitionNotDeletable": true,
      "name": "<string>",
      "numberDisplayHint": "currency",
      "optionSortStrategy": "ALPHABETICAL",
      "options": [
        {
          "description": "<string>",
          "displayOrder": 123,
          "doubleData": 123,
          "hidden": true,
          "label": "<string>",
          "readOnly": true,
          "value": "<string>"
        }
      ],
      "optionsAreMutable": true,
      "owningAppId": 123,
      "portalId": 123,
      "readOnlyDefinition": true,
      "readOnlyValue": true,
      "referencedObjectType": "ABANDONED_CART",
      "searchTextAnalysisMode": "NONE",
      "searchableInGlobalSearch": true,
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "textDisplayHint": "domain_name",
      "type": "bool",
      "updatedAt": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The appId for the media bridge app. It is possible to have multiple apps in your developer account that use the media bridge.

objectType
string
required

The object type to get the properties for.

Body

application/json
archived
boolean
required
dataSensitivity
enum<string>
required
Available options:
highly_sensitive,
non_sensitive,
sensitive
inputs
object[]
required

Response

successful operation

completedAt
string<date-time>
required
results
object[]
required
startedAt
string<date-time>
required
status
enum<string>
required
Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
requestedAt
string<date-time>
Last modified on February 12, 2026